Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001686TestLinkDatabase MS-SQLpublic2008-08-22 20:192009-05-11 15:54
ReporterLimp 
Assigned Tomhavlat 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.8.1 
Summary0001686: Error in script Case sentive.
DescriptionUse DataBase Case sentive.

Error in product.core.inc.php
user_testproject_roles.user_ID - correct: user_testproject_roles.user_id

Error in testsuite.class.php
$keywords_map = $this->get_keywords_map($id,' ORDER BY KEYWORD ASC ') -
correct: $keywords_map = $this->get_keywords_map($id,' ORDER BY keyword ASC ')

Error in testcase.class.php
$keywords_map[] = $this->get_keywords_map($tc_id,' ORDER BY KEYWORD ASC ') -
correct: $keywords_map[] = $this->get_keywords_map($tc_id,' ORDER BY keyword ASC ')
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003999)
fman (administrator)
2008-08-22 22:01

what db engine are you using ?
(0004003)
Limp (reporter)
2008-08-25 12:24

mssql 2000
(0006215)
mhavlat (reporter)
2009-04-05 05:49

Fixed on both branch and head. Thanks.

- Issue History
Date Modified Username Field Change
2008-08-22 20:19 Limp New Issue
2008-08-22 20:19 Limp Browser => IE
2008-08-22 20:19 Limp PHP Version => 5.2.6
2008-08-22 22:01 fman Note Added: 0003999
2008-08-25 12:24 Limp Note Added: 0004003
2009-03-25 23:28 mhavlat Status new => assigned
2009-03-25 23:28 mhavlat Assigned To => mhavlat
2009-04-05 05:49 mhavlat Status assigned => resolved
2009-04-05 05:49 mhavlat Fixed in Version => 1.8.1 (bug fixes)
2009-04-05 05:49 mhavlat Resolution open => fixed
2009-04-05 05:49 mhavlat Note Added: 0006215
2009-05-11 15:54 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker